Subject: Segmentation fault on incorrect SSLRequire

From: Angus Lee <[email-masked]>
Date: Thu, 14 Mar 2002 12:00:25 +0800 (HKT)

Hi,

Has anyone faced such problem that mod_ssl will have a segmentation fault when repeated access to a resource which has SSLRequire but that SSLRequire has error.

My scenario is that we have a Solaris workstation which has installed Oracle9i Application Server which is Apache + mod_ssl behind. We let the students to create their web pages there and add appropriate SSLRequire line in a .htaccess file so they can use client authentication to access their web pages. However some students produced an error SSLRequire line. When I look back the log file, I found mod_ssl has segmentation fault when repeated access was made. After that, Apache will complain 'SSLRequire syntax error' because mod_ssl was crashed.

How can I tackle such problem? Is there any way I can restart Oracle9i Application Server after mod_ssl segmentation fault? I tried to restart the workstation everyday but seems it won't help much. Please help me. Thanks.

Angus Lee
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]